Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeWorldManager Class Reference

Manager for various deWorld duties. More...

`#include <deWorld.hpp>`

Inheritance diagram for IdeWorldManager:

[legend]
List of all members.

## Public Member Functions
virtual deWorldID | CreateWorld ()=0
| create a world that can then be used to store data
virtual IdeWorld * | GetWorld (deWorldID ID)=0
| retrieve a created world
virtual IdeWorldObject * | GetWorldObject (deWorldID WID, deObjectID OID)=0
| retrieve a world object without need for retrieving the world pointer
virtual long | GetRscInterfaceID ()=0
| get the deResource interface ID for deWorld
virtual long | GetUniqueWOInterfaceID ()=0
| obtain a unique ID to use when using classes derived from deWorldObject
virtual deBoolean | RegisterWOClass (const char *ClassName, IdeWorldObject_Creator creator)=0
| register a WorldObject class, which can then be loaded by string identifier
## Protected Member Functions
| ~IdeWorldManager ()

## Detailed Description

Manager for various deWorld duties.

## Constructor & Destructor Documentation

IdeWorldManager::~IdeWorldManager | ( |  | ) | `[inline, protected]`

## Member Function Documentation

virtual deWorldID IdeWorldManager::CreateWorld | ( |  | ) | `[pure virtual]`

| create a world that can then be used to store data Implemented in deWorldManager.

virtual long IdeWorldManager::GetRscInterfaceID | ( |  | ) | `[pure virtual]`

| get the deResource interface ID for deWorld Implemented in deWorldManager.

virtual long IdeWorldManager::GetUniqueWOInterfaceID | ( |  | ) | `[pure virtual]`

| obtain a unique ID to use when using classes derived from deWorldObject Implemented in deWorldManager.

virtual IdeWorld* IdeWorldManager::GetWorld | ( | deWorldID | ID | ) | `[pure virtual]`

| retrieve a created world Implemented in deWorldManager.

virtual IdeWorldObject* IdeWorldManager::GetWorldObject | ( | deWorldID | WID,
|  | deObjectID | OID
| ) | `[pure virtual]`

| retrieve a world object without need for retrieving the world pointer Implemented in deWorldManager.

virtual deBoolean IdeWorldManager::RegisterWOClass | ( | const char * | ClassName,
|  | IdeWorldObject_Creator | creator
| ) | `[pure virtual]`

| register a WorldObject class, which can then be loaded by string identifier Implemented in deWorldManager.

The documentation for this class was generated from the following file:

- deWorld.hpp